Skip to main content
`Ctrl`+`K`

# NEPApplyResolvent

Applies the resolvent \(T^{-1}(z)\) to a given vector.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPApplyResolvent(NEP nep,RG rg,PetscScalar omega,Vec v,Vec r)

Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- rg - optional region

- omega - value where the resolvent must be evaluated

- v - input vector

## Output Parameter

- r - result vector

## Note

The resolvent \(T^{-1}(z) = \sum_i (z-\lambda_i)^{-1} x_i y_i^*\) is evaluated at \(z=\omega\) and the matrix-vector multiplication \(r = T^{-1}(\omega) v\) is computed. Vectors \(x_i\) and \(y_i\) are right and left eigenvectors, respectively, normalized so that \(y_i^*T'(\lambda_i)x_i=1\). The sum contains only eigenvectors that have been previously computed with `NEPSolve()`, and if a region `rg` is given then only those corresponding to eigenvalues inside the region are considered.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPGetLeftEigenvector()`, `NEPSolve()`

## Level

intermediate

## Location

src/nep/interface/nepresolv.c

## Examples

src/nep/tutorials/ex42.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages